---
title: HTMLFieldSetElement
slug: Web/API/HTMLFieldSetElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFieldSetElement</code></strong> interface provides special properties and methods (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating the layout and presentation of {{ HTMLElement("fieldset") }} elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLFieldSetElement.disabled")}}</dt>
 <dd>A {{jsxref("Boolean")}} reflecting the {{htmlattrxref("disabled", "fieldset")}} HTML attribute, indicating whether the user can interact with the control.</dd>
 <dt>{{domxref("HTMLFieldSetElement.elements")}}{{ReadOnlyInline}}</dt>
 <dd>The elements belonging to this field set. The type of this property depends on the version of the spec that is implemented by the browser.</dd>
 <dt>{{domxref("HTMLFieldSetElement.form")}}{{ReadOnlyInline}}</dt>
 <dd>An {{domxref("HTMLFormControlsCollection")}} or {{domxref("HTMLCollection")}} referencing the containing form element, if this element is in a form.<br>
 If the field set is not a descendant of a form element, then the attribute can be the ID of any form element in the same document it is related to, or the <code>null</code> value if none matches.</dd>
 <dt>{{domxref("HTMLFieldSetElement.name")}}</dt>
 <dd>A {{domxref("DOMString")}} reflecting the {{htmlattrxref("name", "fieldset")}} HTML attribute, containing the name of the field set. This can be used when accessing the field set in JavaScript. It is <em>not</em> part of the data which is sent to the server.</dd>
 <dt>{{domxref("HTMLFieldSetElement.type")}}{{ReadOnlyInline}}</dt>
 <dd>The {{domxref("DOMString")}} "<code>fieldset</code>".</dd>
 <dt>{{domxref("HTMLFieldSetElement.validationMessage")}}</dt>
 <dd>A {{domxref("DOMString")}} representing a localized message that describes the validation constraints that the element does not satisfy (if any). This is the empty string if the element is not a candidate for constraint validation (<code>willValidate</code> is <code>false</code>), or it satisfies its constraints.</dd>
 <dt>{{domxref("HTMLFieldSetElement.validity")}}</dt>
 <dd>A {{domxref("ValidityState")}} representing the validity states that this element is in.</dd>
 <dt>{{domxref("HTMLFieldSetElement.willValidate")}}</dt>
 <dd>A {{jsxref("Boolean")}} <code>false</code>, because {{HTMLElement("fieldset")}} objects are never candidates for constraint validation.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLFieldSetElement.checkValidity()")}}</dt>
 <dd>Always returns <code>true</code> because {{HTMLElement("fieldset")}} objects are never candidates for constraint validation.</dd>
 <dt>{{domxref("HTMLFieldSetElement.reportValidity()")}}</dt>
 <dd>Always returns <code>true</code> because {{HTMLElement("fieldset")}} objects are never candidates for constraint validation.</dd>
 <dt>{{domxref("HTMLFieldSetElement.setCustomValidity()")}}</dt>
 <dd>Sets a custom validity message for the field set. If this message is not the empty string, then the field set is suffering from a custom validity error, and does not validate.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlfieldsetelement", "HTMLFieldSetElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "forms.html#the-fieldset-element", "HTMLFieldSetElement")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "forms.html#the-fieldset-element", "HTMLFieldSetElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The following properties have been added: <code>disabled</code>, <code>elements</code>, <code>name</code>, <code>type</code>, <code>valdiationMessage</code>, <code>validity</code>, and <code>willValidate</code>.<br>
    The following methods have been added: <code>checkValidity()</code>, <code>setCustomValidity()</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-7365882', 'HTMLFieldSetElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-7365882', 'HTMLFieldSetElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFieldSetElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{ HTMLElement("fieldset") }}.</li>
</ul>
